%define version 1.0.1
%define rel 2
%define release %mkrel %rel

%define libname %mklibname assuan

Summary:	Assuan - an IPC library for non-persistent servers
Name:		libassuan
Version:	%{version}
Release:	%{release}
License:	LGPL
Group:		System/Libraries
URL:		http://www.gnupg.org/
Source0:	ftp://ftp.gnupg.org/gcrypt/alpha/%{name}/%{name}-%{version}.tar.bz2
Source1:	ftp://ftp.gnupg.org/gcrypt/alpha/%{name}/%{name}-%{version}.tar.bz2.sig
%if %mdkversion >= 1020
BuildRequires:	multiarch-utils >= 1.0.3
BuildRequires: libpth-devel
%endif
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description 
This is the IPC library used by GnuPG 1.9, gpgme and the old newpg
package. It used to be included with the latter packages but the
authors decided to separated it out to a standalone library.

%package -n %{libname}-devel
Summary:	Header files and static library for assuan
Group:		Development/C
Provides:	libassuan-devel = %{version}-%{release}
Requires(post):  /sbin/install-info
Requires(preun): /sbin/install-info
Obsoletes: %{libname}0-devel < 1.0.1

%description -n %{libname}-devel
Header files and static library for assuan.

%prep
%setup -q

%build
export CFLAGS="$RPM_OPT_FLAGS -fPIC"
%configure \
	--with-pth-prefix=%{_prefix}
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%if %mdkversion >= 1020
%multiarch_binaries %{buildroot}%{_bindir}/libassuan-config
%endif

%clean
rm -rf %{buildroot}

%post -n %{libname}-devel
%_install_info assuan.info

%preun -n %{libname}-devel
%_remove_install_info assuan.info

%files -n %{libname}-devel
%defattr(-,root,root)
%doc ChangeLog AUTHORS NEWS README
%if %mdkversion >= 1020
%multiarch %{multiarch_bindir}/libassuan-config
%endif
%{_bindir}/libassuan-config
%{_includedir}/*.h
%{_datadir}/aclocal/*.m4
%{_infodir}/*.info*
%{_libdir}/lib*.a


%changelog
* Wed Nov 29 2006 Andreas Hasenack <andreas@mandriva.com> 1.0.1-2mdv2007.0
+ Revision: 88682
- make double sure we use pth
- enabled pth support

* Wed Nov 29 2006 Andreas Hasenack <andreas@mandriva.com> 1.0.1-1mdv2007.1
+ Revision: 88652
- work on x86_64 provides/requires/obsoletes/names
- updated to version 1.0.1
- drop dynamic library patch, follow upstream which only
  has a static one
- rearranged packaging because of the above
- Import libassuan



* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.6.10-2mdk
- Rebuild

* Tue Aug 09 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.10-1mdk
- New release 0.6.10

* Tue Jun 14 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.6.9-1mdk 
- new release

* Fri Apr 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.6.8-2mdk
- fix deps and conditional %%multiarch
- fix requires-on-release

* Sun Dec 26 2004 Abel Cheung <deaddog@mandrake.org> 0.6.8-1mdk
- New release 0.6.8

* Wed Aug 18 2004 Abel Cheung <deaddog@mandrakesoft.com> 0.6.6-1mdk
- New release 0.6.6

* Thu May 20 2004 Abel Cheung <deaddog@deaddog.org> 0.6.5-1mdk
- New version
- Drop old patch1, use autoreconf instead
- Patch1: No m4 dir in source, remove such reference in Makefile.am,
  otherwise autoreconf won't work

* Sat Jan 24 2004 Abel Cheung <deaddog@deaddog.org> 0.6.2-1mdk
- New version

* Fri Jan 23 2004 Abel Cheung <deaddog@deaddog.org> 0.6.1-2mdk
- Revert many stuff back
- Remove patch1 (info)
- New Patch1: fix configure script generated by autoconf > 2.57
- Add back info files
- Include file signature

* Thu Dec 11 2003 Abel Cheung <deaddog@deaddog.org> 0.6.1-1mdk
- 0.6.1
- (mistakenly overwritten Florin's package)

* Thu Nov 13 2003 Florin <florin@mandrakesoft.com> 0.6.0-1mdk
- first mdk release
